[package]
name = "eskin-model-player"
version = "0.5.0"
edition = "2024"
build = "build.rs"

[dependencies]
eframe = { version = "0.34.2", features = ["default", "wgpu", "__screenshot"] }
env_logger = { version = "0.11.10", features = ["auto-color", "humantime"] }
bytemuck = { version = "1", features = ["derive"] }
glam = "0.32.1"
image = { version = "0.25.10", features = ["png", "jpeg"] }
anyhow = "1.0.102"
serialport = "4.9.0"
egui_extras = { version = "0.34.2", features = ["image"] }
crossbeam-channel = "0.5.15"
crc = "3.4.0"
log = "0.4.29"
tobj = "4.0.4"
gltf = "1.4.1"

[build-dependencies]
anyhow = "1.0.102"
fs_extra = "1.3.0"
